#define KC(a,b,c) (a<<16|b<<8|c)

#if LINUX_VERSION_CODE>=KC(1,3,14)
#define RUN_AT(x) (jiffies+(x))
#else
#define RUN_AT(x) (x)
#endif

#if LINUX_VERSION_CODE>=KC(1,3,4)
#define NEW_GET_FREE_PAGES
#endif

#if LINUX_VERSION_CODE>=KC(1,3,0)
#define ALLOC_SKB(s,l)  (s) = dev_alloc_skb((l)+2);
#define INIT_SKB(s,l,z) {(s)->dev = (z); skb_reserve((s),2); skb_put((s),(l));}
#define SKB_PROTO(s,d)  (s)->protocol = eth_type_trans((s),(d));  
#else
#define ALLOC_SKB(s,l)  (s) = alloc_skb((l),GFP_ATOMIC);
#define INIT_SKB(s,l,z) {(s)->dev = (z); (s)->len=(l);}
#define SKB_PROTO(s,d)
#endif
