#!/bin/sh

WISH=
IFS=:
for i in $PATH; do
	if [ -x $i/wish ]; then
		WISH="$i/wish"
	fi
done
IFS=' '

while [ ".${WISH}" = "." ]; do
	echo -n "Enter full path of Tk4.0-wish: "
	read WISH
done

if [ `$WISH -f doinst.tcl` = "1" ]; then
	cat $1.tcl | sed -e s@_WISH_@$WISH@ > $1
	chmod a+x isdnmon
else
	echo "UNABLE TO FIND WISH OR WRONG VERSION, GIVING UP"
	exit 1
fi
